Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
nowhiskeyOffline
Post subject: .dev packages removed caused by libgmp10/libgmpxx4ldbl  PostPosted: 06.04.2011, 11:57



Joined: 2010-10-09
Posts: 14

Status: Offline
an d-u says:

      Code:
nowhiskey@murija5:~/Desktop$ sudo apt-get dist-upgrade -d
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT:
  console-terminus libgmp10-dev libmlt3 libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden NEUEN Pakete werden installiert:
  console-setup-linux gcc-4.6-base gir1.2-freedesktop gir1.2-glib-2.0 gir1.2-pango-1.0 libatk1.0-data libconfig++8 libencode-locale-perl libfile-listing-perl
  libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libgirepository-1.0-1 libhttp-cookies-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libjte1
  liblwp-mediatypes-perl libmlt4 libnet-http-perl libntfs-3g80 libquadmath0 libssl1.0.0 libtextcat-data libtextcat0 libwww-robotrules-perl libyajl-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  acpi-support-base acpid apt apt-utils base-files binutils bluetooth bluez bluez-pcmcia-support bluez-utils ca-certificates cifs-utils console-setup cpp cpp-4.4
  cpp-4.5 cups cups-bsd cups-client cups-common cups-ppdc debhelper dictionaries-common dmsetup dpkg dpkg-dev feh foo2zjs g++ g++-4.4 g++-4.5 gcc gcc-4.4 gcc-4.4-base
  gcc-4.5 gcc-4.5-base giblib1 git git-core git-man gnumeric gnumeric-common grub-common grub-pc grub2 gstreamer-tools gstreamer0.10-alsa gstreamer0.10-plugins-bad
  gstreamer0.10-plugins-base gstreamer0.10-plugins-base-apps gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-tools gstreamer0.10-x icedove iceweasel
  iso-codes kdebase-bin kdebase-data keyboard-configuration libao-common libao4 libass-dev libass4 libatk1.0-0 libatk1.0-dev libavahi-client-dev libavahi-client3
  libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-glib-dev libavahi-glib1 libbluetooth-dev libbluetooth3 libcairo-gobject2
  libcairo-script-interpreter2 libcairo2 libcairo2-dev libccid libcups2 libcups2-dev libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 libcupsppdc1 libdb-dev
  libdebian-installer-extra4 libdebian-installer4 libdevmapper1.02.1 libdpkg-perl libenchant-dev libenchant1c2a libept1 libffado-dev libffado2 libgail-common
  libgail-dev libgail18 libgcc1 libgexiv2-0 libgfortran3 libglib2.0-0 libglib2.0-bin libglib2.0-data libglib2.0-dev libgmp10 libgmp3c2 libgmpxx4ldbl libgnutls-dev
  libgnutls26 libgnutlsxx26 libgoffice-0.8-8 libgoffice-0.8-8-common libgomp1 libgsf-1-114 libgsf-1-common libgstreamer-plugins-base0.10-0
  libgstreamer-plugins-base0.10-dev libgstreamer0.10-0 libgstreamer0.10-dev libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libgudev-1.0-0 libimlib2
  libimlib2-dev libiodbc2 libisofs6 libjson-glib-1.0-0 libltdl-dev libltdl7 liblvm2app2.2 libmad0 libmad0-dev libmlt++-dev libmlt++3 libmlt-data libmlt-dev libmozjs-dev
  libmozjs2d libmusicbrainz4-dev libmusicbrainz4c2a libnm-glib-vpn1 libnm-glib2 libnm-util1 libnss3-1d libnss3-dev libpango1.0-0 libpango1.0-dev libpaq-dev libpaq0
  libpci3 libpcsclite1 libperl-dev libperl5.10 libphonon-dev libphonon4 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpolkit-gtk-1-0
  libprojectm-dev libprojectm2 libqt4-assistant libqt4-dbus libqt4-declarative libqt4-designer libqt4-dev libqt4-help libqt4-network libqt4-opengl libqt4-opengl-dev
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4
  libqtgui4 libqtlocation1 libqtmultimediakit1 libqtsensors1 libqtwebkit4 libraptor2-0 libraptor2-dev libreoffice-base libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-filter-mobiledev libreoffice-impress libreoffice-java-common libreoffice-math libreoffice-officebean
  libreoffice-style-galaxy libreoffice-writer librsvg2-2 librsvg2-common librsvg2-dev libselinux1 libselinux1-dev libservlet2.5-java libslang2 libslang2-dev libsndfile1
  libsndfile1-dev libsoprano-dev libsoprano4 libssh2-1 libssl-dev libssl0.9.8 libstdc++6 libstdc++6-4.4-dev libstdc++6-4.5-dev libtar libtar-dev libthai-data libthai0
  libtiff4 libtiff4-dev libtiffxx0c2 libtool libts-0.0-0 libudev-dev libudev0 libupower-glib1 libvlc5 libvlccore4 libwebkit-1.0-2 libwebkit-1.0-common libweed0
  libwmf0.2-7 libwww-perl libx11-6 libx11-data libx11-dev libx11-xcb-dev libx11-xcb1 libxapian22 libxi-dev libxi6 libzbar0 linux-libc-dev lives lives-data lv2-c++-tools
  lv2core lvm2 m4 melt memtest86+ nasm network-manager network-manager-gnome ntfs-3g openssh-client openssh-server openssl pciutils pcscd perl perl-base perl-modules
  phonon pkg-kde-tools policykit-1 policykit-1-gnome projectm-data psutils python python-dev python-glade2 python-gst0.10 python-gtk2 python-iniparse python-minimal
  python-numpy qt4-qmake rsyslog shotwell smbfs sndfile-programs soprano-daemon strace tsconf ttf-opensymbol tzdata tzdata-java udev uno-libs3 unp ure vlc vlc-data
  vlc-nox wget x11-common x11proto-core-dev xfsprogs xkb-data xorg-sgml-doctools xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-all
  xserver-xorg-input-mouse xulrunner-1.9.1 xulrunner-dev xutils xutils-dev
320 aktualisiert, 27 neu installiert, 8 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 373 MB von 374 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 22,9 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?


now i tried to track this down by using synaptic and clicking the packeges to be updated one by one:

what comes out:

      Code:
nowhiskey@murija5:~/Desktop$ sudo apt-get install libgmp10
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden Pakete werden ENTFERNT:
  libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  libgmp10
1 aktualisiert, 0 neu installiert, 6 zu entfernen und 319 nicht aktualisiert.



and:

      Code:
nowhiskey@murija5:~/Desktop$ sudo apt-get install libgmpxx4ldbl
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden Pakete werden ENTFERNT:
  libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  libgmpxx4ldbl
1 aktualisiert, 0 neu installiert, 6 zu entfernen und 319 nicht aktualisiert.


the other both packages which will be removed, i think are ok to be removed:

      Code:
nowhiskey@murija5:~/Desktop$ sudo apt-get install console-setup libmlt++3
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  console-setup-linux libgail-common libgail-dev libgail18 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libgtk2.0-0 libgtk2.0-bin libgtk2.0-dev libmlt++-dev libmlt-data
  libmlt-dev libmlt4 librsvg2-2 librsvg2-common librsvg2-dev libwmf0.2-7 melt
Vorgeschlagene Pakete:
  libgail-doc libgtk2.0-doc librsvg2-bin
Die folgenden Pakete werden ENTFERNT:
  console-terminus libmlt3
Die folgenden NEUEN Pakete werden installiert:
  console-setup-linux libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libmlt4
Die folgenden Pakete werden aktualisiert (Upgrade):
  console-setup libgail-common libgail-dev libgail18 libgtk2.0-0 libgtk2.0-bin libgtk2.0-dev libmlt++-dev libmlt++3 libmlt-data libmlt-dev librsvg2-2 librsvg2-common
  librsvg2-dev libwmf0.2-7 melt
16 aktualisiert, 4 neu installiert, 2 zu entfernen und 304 nicht aktualisiert.


so i think the both last ones are just to be replaced.

cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
nowhiskeyOffline
Post subject:   PostPosted: 11.04.2011, 14:41



Joined: 2010-10-09
Posts: 14

Status: Offline
i did an d-u by setting the both packages ( libgmp10 and libgmpxx4ldbl ) into 'hold' and everything went smooth.
now i removed the hold status for them. i ll post the another d-u output, just because it makes now the things easyer to see:

      Code:

nowhiskey@murija5:~/Desktop$ sudo apt-get dist-upgrade -d
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT:
  libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  libgmp10 libgmpxx4ldbl
2 aktualisiert, 0 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.
Es müssen 278 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 6.582 kB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]? n
Abbruch.
nowhiskey@murija5:~/Desktop$


cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
nowhiskeyOffline
Post subject:   PostPosted: 09.05.2011, 11:45



Joined: 2010-10-09
Posts: 14

Status: Offline
after todays d-u i removed this two packages from hold and still the very same result:

      Quote:
Die folgenden Pakete werden ENTFERNT:
libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
libgmp10 libgmpxx4ldbl
2 aktualisiert, 0 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.


i really need at least librasqal3-dev librdf0-dev libslv2-dev
cause i am building ardour3 every day from the source in order to help testing and debugging the upcoming ardour release.

i would be really thankfull if someone with more knowlege would comment on this.

cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject:   PostPosted: 09.05.2011, 13:20
Moderator


Joined: 2010-09-11
Posts: 468

The command:
$ apt-get dist-upgrade -s -o Debug::pkgProblemResolver=1
may tells you why apt wants to remove them

( -s is similation, so you can do it as user)
 
 View user's profile Send private message  
Reply with quote Back to top
nowhiskeyOffline
Post subject:   PostPosted: 09.05.2011, 16:12



Joined: 2010-10-09
Posts: 14

Status: Offline
all right - very much thanks for the usefull command.
as for my understanding, it looks like some bad version missmatch and the -dev packages not being updated:

      Quote:
nowhiskey@murija5:~/Desktop$ apt-get dist-upgrade -s -o Debug::pkgProblemResolver=1
HINWEIS: Dies ist nur eine Simulation!
apt-get benötigt root-Privilegien für die reale Ausführung.
Behalten Sie ebenfalls in Hinterkopf, dass die Sperren deaktiviert
sind, verlassen Sie sich also bezüglich des reellen aktuellen
Status der Sperre nicht darauf!
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Starting
Starting 2
Investigating (0) libgmp10-dev [ i386 ] <2> ( libdevel )
Broken libgmp10-dev:i386 Hängt ab von on libgmp10 [ i386 ] <2> 2:5.0.1+dfsg-7 > ( libs ) (= 2:5.0.1+dfsg-6)
Considering libgmp10:i386 95 as a solution to libgmp10-dev:i386 -1
Removing libgmp10-dev:i386 rather than change libgmp10:i386
Investigating (0) libmpc-dev [ i386 ] <0> ( libdevel )
Broken libmpc-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
Considering libgmp-dev:i386 3 as a solution to libmpc-dev:i386 -1
Removing libmpc-dev:i386 rather than change libgmp-dev:i386
Investigating (1) libmpfr-dev [ i386 ] <3> ( libdevel )
Broken libmpfr-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
Considering libgmp-dev:i386 3 as a solution to libmpfr-dev:i386 2
Removing libmpfr-dev:i386 rather than change libgmp-dev:i386
Investigating (1) librasqal3-dev [ i386 ] <0> ( libdevel )
Broken librasqal3-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
Considering libgmp-dev:i386 3 as a solution to librasqal3-dev:i386 2
Removing librasqal3-dev:i386 rather than change libgmp-dev:i386
Investigating (1) librdf0-dev [ i386 ] <1> ( libdevel )
Broken librdf0-dev:i386 Hängt ab von on librasqal3-dev [ i386 ] <0> ( libdevel ) (>= 0.9.22)
Considering librasqal3-dev:i386 2 as a solution to librdf0-dev:i386 1
Removing librdf0-dev:i386 rather than change librasqal3-dev:i386
Investigating (1) libslv2-dev [ i386 ] <0> ( libdevel )
Broken libslv2-dev:i386 Hängt ab von on librdf0-dev [ i386 ] <1> ( libdevel )
Considering librdf0-dev:i386 1 as a solution to libslv2-dev:i386 0
Removing libslv2-dev:i386 rather than change librdf0-dev:i386
Done
Fertig
Die folgenden Pakete werden ENTFERNT:
libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
libgmp10 libgmpxx4ldbl
2 aktualisiert, 0 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.
Remv libslv2-dev [0.6.6-9]
Remv librdf0-dev [1.0.13-2]
Remv librasqal3-dev [0.9.25-2]
Remv libmpc-dev [0.9-3]
Remv libmpfr-dev [3.0.1-3]
Remv libgmp10-dev [2:5.0.1+dfsg-6]
Inst libgmp10 [2:5.0.1+dfsg-6] (2:5.0.1+dfsg-7 Debian:unstable [i386])
Inst libgmpxx4ldbl [2:5.0.1+dfsg-6] (2:5.0.1+dfsg-7 Debian:unstable [i386])
Conf libgmp10 (2:5.0.1+dfsg-7 Debian:unstable [i386])
Conf libgmpxx4ldbl (2:5.0.1+dfsg-7 Debian:unstable [i386])
nowhiskey@murija5:~/Desktop$


cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
nowhiskeyOffline
Post subject:   PostPosted: 29.05.2011, 13:23



Joined: 2010-10-09
Posts: 14

Status: Offline
here nothing has changed since:

      Code:

Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT:
  libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden NEUEN Pakete werden installiert:
  linux-headers-2.6.39-0.slh.5-aptosid-686 linux-image-2.6.39-0.slh.5-aptosid-686
Die folgenden Pakete werden aktualisiert (Upgrade):
  fll-iso2usb libgmp10 libgmpxx4ldbl linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686
5 aktualisiert, 2 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.



and:

      Code:

nowhiskey@murija5:~/Desktop$ apt-get dist-upgrade -s -o Debug::pkgProblemResolver=1
HINWEIS: Dies ist nur eine Simulation!
         apt-get benötigt root-Privilegien für die reale Ausführung.
         Behalten Sie ebenfalls in Hinterkopf, dass die Sperren deaktiviert
         sind, verlassen Sie sich also bezüglich des reellen aktuellen
         Status der Sperre nicht darauf!
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Starting
Starting 2
Investigating (0) libgmp10-dev [ i386 ] <2> ( libdevel )
Broken libgmp10-dev:i386 Hängt ab von on libgmp10 [ i386 ] <2> 2:5.0.1+dfsg-7 > ( libs ) (= 2:5.0.1+dfsg-6)
  Considering libgmp10:i386 97 as a solution to libgmp10-dev:i386 -1
  Removing libgmp10-dev:i386 rather than change libgmp10:i386
Investigating (0) libmpc-dev [ i386 ] <0> ( libdevel )
Broken libmpc-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
  Considering libgmp-dev:i386 3 as a solution to libmpc-dev:i386 -1
  Removing libmpc-dev:i386 rather than change libgmp-dev:i386
Investigating (1) libmpfr-dev [ i386 ] <3> ( libdevel )
Broken libmpfr-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
  Considering libgmp-dev:i386 3 as a solution to libmpfr-dev:i386 2
  Removing libmpfr-dev:i386 rather than change libgmp-dev:i386
Investigating (1) librasqal3-dev [ i386 ] <0> ( libdevel )
Broken librasqal3-dev:i386 Hängt ab von on libgmp-dev [ i386 ] <none> 2:5.0.1+dfsg-7 > ( libdevel )
  Considering libgmp-dev:i386 3 as a solution to librasqal3-dev:i386 2
  Removing librasqal3-dev:i386 rather than change libgmp-dev:i386
Investigating (1) librdf0-dev [ i386 ] <1> ( libdevel )
Broken librdf0-dev:i386 Hängt ab von on librasqal3-dev [ i386 ] <0> ( libdevel ) (>= 0.9.22)
  Considering librasqal3-dev:i386 2 as a solution to librdf0-dev:i386 1
  Removing librdf0-dev:i386 rather than change librasqal3-dev:i386
Investigating (1) libslv2-dev [ i386 ] <0> ( libdevel )
Broken libslv2-dev:i386 Hängt ab von on librdf0-dev [ i386 ] <1> ( libdevel )
  Considering librdf0-dev:i386 1 as a solution to libslv2-dev:i386 0
  Removing libslv2-dev:i386 rather than change librdf0-dev:i386
Done
Fertig
Die folgenden Pakete werden ENTFERNT:
  libgmp10-dev libmpc-dev libmpfr-dev librasqal3-dev librdf0-dev libslv2-dev
Die folgenden NEUEN Pakete werden installiert:
  linux-headers-2.6.39-0.slh.5-aptosid-686 linux-image-2.6.39-0.slh.5-aptosid-686
Die folgenden Pakete werden aktualisiert (Upgrade):
  fll-iso2usb libgmp10 libgmpxx4ldbl linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686
5 aktualisiert, 2 neu installiert, 6 zu entfernen und 0 nicht aktualisiert.
Remv libslv2-dev [0.6.6-9]
Remv librdf0-dev [1.0.13-3]
Remv librasqal3-dev [0.9.25-2]
Remv libmpc-dev [0.9-3]
Remv libmpfr-dev [3.0.1-3]
Remv libgmp10-dev [2:5.0.1+dfsg-6]
Inst linux-image-2.6.39-0.slh.5-aptosid-686 (2.6.39-5 Debian:unstable [i386])
Inst fll-iso2usb [0.9.1] (0.9.2 Debian:unstable [all])
Inst libgmp10 [2:5.0.1+dfsg-6] (2:5.0.1+dfsg-7 Debian:unstable [i386])
Inst libgmpxx4ldbl [2:5.0.1+dfsg-6] (2:5.0.1+dfsg-7 Debian:unstable [i386])
Inst linux-headers-2.6.39-0.slh.5-aptosid-686 (2.6.39-5 Debian:unstable [i386])
Inst linux-headers-2.6-aptosid-686 [2.6.39-4] (2.6.39-5 Debian:unstable [i386])
Inst linux-image-2.6-aptosid-686 [2.6.39-4] (2.6.39-5 Debian:unstable [i386])
Conf linux-image-2.6.39-0.slh.5-aptosid-686 (2.6.39-5 Debian:unstable [i386])
Conf fll-iso2usb (0.9.2 Debian:unstable [all])
Conf libgmp10 (2:5.0.1+dfsg-7 Debian:unstable [i386])
Conf libgmpxx4ldbl (2:5.0.1+dfsg-7 Debian:unstable [i386])
Conf linux-headers-2.6.39-0.slh.5-aptosid-686 (2.6.39-5 Debian:unstable [i386])
Conf linux-headers-2.6-aptosid-686 (2.6.39-5 Debian:unstable [i386])
Conf linux-image-2.6-aptosid-686 (2.6.39-5 Debian:unstable [i386])
nowhiskey@murija5:~/Desktop$




cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio